dag_config_init_fd(3)

NAME
dag_config_init_fd - initialise the Configuration and Status API for use with a DAG card

SYNOPSIS
#include "dag_config.h "

dag_card_ref_t
dag_config_init_fd(int dagfd);

DESCRIPTION
dag_config_init creates a software object representing a DAG card and returns a reference to it for use with other Configuration and Status API routines.

RETURN VALUE
A reference to a software object representing the DAG device specified by the file descriptor dagfd that has been obtained from the Capture API routine dag_open(3).

NOTES
To open a DAG card directly by name for use with the Configuration and Status API, use the dag_config_init(3) routine instead.

See dag_config_get_card_fd(3) for a discussion of the relationship between the Capture and Configuration APIs.

EXAMPLE
    int dagfd = dag_open("/dev/dag0");
    dag_card_ref_t card = dag_config_init_fd(dagfd);

SEE ALSO
dag(5), dagconfigapi(3), dag_config_dispose(3), dag_config_get_card_fd(3), dag_config_init(3), dag_open(3).

BUGS
Report bugs to <support@endace.com>.

LAST UPDATED
$Author: koryn $
$Revision: 2474 $
$Date: 2005-11-10 11:13:19 +1300 (Thu, 10 Nov 2005) $

COPYRIGHT
(c) 2004-2005 Endace Technology, Hamilton, New Zealand. All Rights Reserved.